Status View
On this page
Operations on status view resources. 2 endpoints, each relative to https://api.nxgen.cloud/api/v1 and authenticated as described under Authentication.
PATCH /status/device/{id}
Update Device Status
Parameters
Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
Request body
{
"payload": {
"status": {
"CAMERA_ISOLATE": {
"status": "string",
"event": "string",
"alarm": "boolean",
"statusType": "string",
"statusColor": "string",
"statusIcon": "string",
"statusText": "string"
},
"DISK_LOW": {
"status": "string",
"event": "string",
"alarm": "boolean",
"statusType": "string",
"statusColor": "string",
"statusIcon": "string",
"statusText": "string"
},
"HEALTH_FAIL": {
"status": "string",
"event": "string",
"alarm": "boolean",
"statusType": "string",
"statusColor": "string",
"statusIcon": "string",
"statusText": "string"
},
"conclusion": {
"goodState": "boolean",
"alertState": "string",
"statusColor": "string"
}
}
}
}Responses
Status | Description | Body |
|---|---|---|
200 | Success | |
204 | No Content | |
401 | Unauthorized | |
403 | Forbidden | |
404 | Not Found |
PATCH /status/sensor/{id}
Update Sensor Status
Parameters
Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string | yes |
Request body
{
"payload": {
"status": {
"CAMERA_ISOLATE": {
"status": "string",
"event": "string",
"alarm": "boolean",
"statusType": "string",
"statusColor": "string",
"statusIcon": "string",
"statusText": "string"
},
"DISK_LOW": {
"status": "string",
"event": "string",
"alarm": "boolean",
"statusType": "string",
"statusColor": "string",
"statusIcon": "string",
"statusText": "string"
},
"HEALTH_FAIL": {
"status": "string",
"event": "string",
"alarm": "boolean",
"statusType": "string",
"statusColor": "string",
"statusIcon": "string",
"statusText": "string"
},
"conclusion": {
"goodState": "boolean",
"alertState": "string",
"statusColor": "string"
}
}
}
}Responses
Status | Description | Body |
|---|---|---|
200 | Success | |
204 | No Content | |
401 | Unauthorized | |
403 | Forbidden | |
404 | Not Found |
Was this page helpful?
Thank you — your feedback goes to the team that owns this page.